JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ clear()
void nlohmann::basic_json::clear | ( |  | ) |
| inline noexcept
Clears the content of a JSON value and resets it to the default value as if basic_json(value_t) would have been called with the current value type from type():
Value type | initial value
--- | ---
null | `null`
boolean | `false`
string | `""`
number | `0`
binary | An empty byte vector
object | `{}`
array | `[]`
  Postcondition Has the same effect as calling *this = basic_json(type()); Example The example below shows the effect of `clear()` to different JSON types. 1 #include <iostream> 2 #include <nlohmann/json.hpp> 3 4 using json = nlohmann::json; 5 6 int main() 7 { 8 // create JSON values 9 json j_null; 10 json j_boolean = true; 11 json j_number_integer = 17; 12 json j_number_float = 23.42; 13 json j_object = {{"one", 1}, {"two", 2}}; 14 json j_array = {1, 2, 4, 8, 16}; 15 json j_string = "Hello, world"; 16 17 // call clear() 18 j_null.clear(); 19 j_boolean.clear(); 20 j_number_integer.clear(); 21 j_number_float.clear(); 22 j_object.clear(); 23 j_array.clear(); 24 j_string.clear(); 25 26 // serialize the cleared values() 27 std::cout << j_null << '\n'; 28 std::cout << j_boolean << '\n'; 29 std::cout << j_number_integer << '\n'; 30 std::cout << j_number_float << '\n'; 31 std::cout << j_object << '\n'; 32 std::cout << j_array << '\n'; 33 std::cout << j_string << '\n'; 34 } Output (play with this example online):
      null
      false
      0
      0.0
      {}
      []
      ""
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/clear.cpp -o clear
Complexity Linear in the size of the JSON value. Iterator validity All iterators, pointers and references related to this container are invalidated. Exception safety No-throw guarantee: this function never throws exceptions. See also basic_json(value_t) – constructor that creates an object with the same value than calling `clear()` Since version 1.0.0 Definition at line 20931 of file json.hpp.

nlohmann::basic_json::type
constexpr value_t type() const noexcept
return the type of the JSON value (explicit)
Definition: json.hpp:18111
nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774
nlohmann::basic_json::basic_json
basic_json(const value_t v)
create an empty value with a given type
Definition: json.hpp:17130